Resend Phone OTP
Resends the Phone OTP using either the Access Token or Phone number.
Resends the Phone OTP using either the Access Token or Phone number.
Authorization
BearerToken APIKey ClientId AuthorizationBearer <token>
Bearer token for user authentication
In: header
apikey<token>
Tenant API Key for authentication
In: query
client_id<token>
Application Client ID for authentication
In: query
Query Parameters
smstemplate?string
SMS Template
access_token?string
Access Token of the User
isvoiceotp?boolean
Boolean flag to enforce sending SMS content via Voice.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
phone?string
The Phone number of the User.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.loginradius.com/identity/v2/auth/phone/otp?smstemplate=SMS-Template&access_token=493318dd-487a-439b-8302-5e27f1110244&isvoiceotp=true" \ -H "Content-Type: application/json" \ -d '{ "phone": "+1234567890" }'{
"IsPosted": true,
"Data": {
"AccountSid": "ACXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
"Sid": "SMXXXXXXXXXXXXXXXX"
}
}{
"ErrorCode": 908,
"Message": "A parameter is not formatted correctly",
"Description": "The apikey is a required parameter."
}{
"errorCode": 1409,
"message": "Authentication failed",
"description": "The credentials provided could not be authenticated."
}{
"ErrorCode": 901,
"Message": "The API key is unauthorized",
"Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}